package pacman.view;

import javafx.scene.image.Image;

public class GraphicsUtil {

	private static final String resources = "/pacman/view/resources/";
	//the current image to draw
	private static Image[] images = new Image[] {
		new Image(GraphicsUtil.class.getResourceAsStream(resources + "pacman_right.png")),
		new Image(GraphicsUtil.class.getResourceAsStream(resources + "pacman_left.png")),
		new Image(GraphicsUtil.class.getResourceAsStream(resources + "pacman_up.png")),
		new Image(GraphicsUtil.class.getResourceAsStream(resources + "pacman_down.png"))
	};
	private static Image img = images[0];	
	
	public static Image getImg() {
		return img;
	}
	
	public static void updateDirection(int direction) {
		if(direction < images.length)
			img = images[direction];
	}
}
